Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 4645)
+++ palm/trunk/SOURCE/header.f90	(revision 4646)
@@ -1,20 +1,19 @@
 ! !> @file header.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,4 +24,7 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4586 2020-07-01 16:16:43Z gronemeier
 ! Renamed rif to Ri (gradient Richardson number, 1D model)
 ! and zeta (= z_mo / ol, stability parameter, 3D model)
@@ -67,6 +69,6 @@
 !
 ! 4069 2019-07-01 14:05:51Z Giersch
-! Masked output running index mid has been introduced as a local variable to
-! avoid runtime error (Loop variable has been modified) in time_integration
+! Masked output running index mid has been introduced as a local variable to avoid runtime error
+! (Loop variable has been modified) in time_integration
 !
 ! 4023 2019-06-12 13:20:01Z maronga
@@ -86,50 +88,49 @@
 ! ------------
 !> Writing a header with all important information about the current run.
-!> This subroutine is called three times, two times at the beginning
-!> (writing information on files RUN_CONTROL and HEADER) and one time at the
-!> end of the run, then writing additional information about CPU-usage on file
+!> This subroutine is called three times, two times at the beginning (writing information on
+!> files RUN_CONTROL and HEADER) and one time at the end of the run, then writing
+!> additional information about CPU-usage on file
 !> header.
-!-----------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE header
 
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  pt_init, q_init, s_init, sa_init, ug, vg, w_subs, zu, zw
 
-    USE basic_constants_and_equations_mod,                                     &
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  g, kappa
 
-    USE bulk_cloud_model_mod,                                                  &
+    USE bulk_cloud_model_mod,                                                                      &
         ONLY:  bulk_cloud_model
 
     USE control_parameters
 
-    USE cpulog,                                                                &
+    USE cpulog,                                                                                    &
         ONLY:  log_point_s
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  dx, dy
 
-    USE indices,                                                               &
-        ONLY:  mg_loc_ind, nnx, nny, nnz, nx, ny, nxl_mg, nxr_mg, nyn_mg,      &
-               nys_mg, nzt, nzt_mg, topo_top_ind
+    USE indices,                                                                                   &
+        ONLY:  mg_loc_ind, nnx, nny, nnz, nx, ny, nxl_mg, nxr_mg, nyn_mg, nys_mg, nzt, nzt_mg,     &
+               topo_top_ind
 
     USE kinds
 
-    USE model_1d_mod,                                                          &
+    USE model_1d_mod,                                                                              &
         ONLY:  damp_level_ind_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
 
-    USE module_interface,                                                      &
+    USE module_interface,                                                                          &
         ONLY:  module_interface_header
 
-    USE netcdf_interface,                                                      &
+    USE netcdf_interface,                                                                          &
         ONLY:  netcdf_data_format, netcdf_data_format_string, netcdf_deflate
 
-    USE ocean_mod,                                                             &
-        ONLY:  ibc_sa_t, prho_reference, sa_surface,                           &
-               sa_vertical_gradient, sa_vertical_gradient_level,               &
-               sa_vertical_gradient_level_ind
-
-    USE palm_date_time_mod,                                                    &
+    USE ocean_mod,                                                                                 &
+        ONLY:  ibc_sa_t, prho_reference, sa_surface, sa_vertical_gradient,                         &
+               sa_vertical_gradient_level, sa_vertical_gradient_level_ind
+
+    USE palm_date_time_mod,                                                                        &
         ONLY:  get_date_time
 
@@ -137,15 +138,15 @@
 
 #if defined( __parallel )
-    USE pmc_handle_communicator,                                               &
+    USE pmc_handle_communicator,                                                                   &
         ONLY:  pmc_get_model_info
 
-    USE pmc_interface,                                                         &
+    USE pmc_interface,                                                                             &
         ONLY:  nested_run, nesting_datatransfer_mode, nesting_mode
 #endif
 
-    USE surface_mod,                                                           &
+    USE surface_mod,                                                                               &
         ONLY:  surf_def_h
 
-    USE turbulence_closure_mod,                                                &
+    USE turbulence_closure_mod,                                                                    &
         ONLY:  rans_const_c, rans_const_sigma
 
@@ -161,4 +162,6 @@
     CHARACTER (LEN=16) ::  begin_chr           !< string indication start time for the data output
     CHARACTER (LEN=16) ::  coor_chr            !< dummy string
+
+    CHARACTER (LEN=23) ::  date_time_str       !< string for date and time information
 
     CHARACTER (LEN=26) ::  ver_rev             !< string for run identification
@@ -171,6 +174,6 @@
 
     CHARACTER (LEN=70) ::  char1               !< dummy varialbe used for various strings
-    CHARACTER (LEN=70) ::  char2               !< string containing informating about the advected distance in case of Galilei transformation
-    CHARACTER (LEN=23) ::  date_time_str       !< string for date and time information
+    CHARACTER (LEN=70) ::  char2               !< string containing informating about the advected distance in case of Galilei
+                                               !< transformation
     CHARACTER (LEN=70) ::  dopr_chr            !< string indicating profile output variables
     CHARACTER (LEN=70) ::  do2d_xy             !< string indicating 2D-xy output variables
@@ -185,5 +188,6 @@
 
     CHARACTER (LEN=86) ::  coordinates         !< string indicating height coordinates for profile-prescribed variables
-    CHARACTER (LEN=86) ::  gradients           !< string indicating gradients of profile-prescribed variables between the prescribed height coordinates
+    CHARACTER (LEN=86) ::  gradients           !< string indicating gradients of profile-prescribed variables between the
+                                               !< prescribed height coordinates
     CHARACTER (LEN=86) ::  slices              !< string indicating grid coordinates of profile-prescribed subsidence velocity
     CHARACTER (LEN=86) ::  temperatures        !< string indicating profile-prescribed subsidence velocities
@@ -231,7 +235,6 @@
 
 !
-!-- Open the output file. At the end of the simulation, output is directed
-!-- to unit 19.
-    IF ( ( runnr == 0 .OR. force_print_header )  .AND. &
+!-- Open the output file. At the end of the simulation, output is directed to unit 19.
+    IF ( ( runnr == 0 .OR. force_print_header )  .AND.                                             &
          .NOT. simulated_time_at_begin /= simulated_time )  THEN
        io = 15   !  header output on file RUN_CONTROL
@@ -242,6 +245,5 @@
 
 !
-!-- At the end of the run, output file (HEADER) will be rewritten with
-!-- new information
+!-- At the end of the run, output file (HEADER) will be rewritten with new information
     IF ( io == 19 .AND. simulated_time_at_begin /= simulated_time ) REWIND( 19 )
 
@@ -295,9 +297,8 @@
 #endif
     IF ( ensemble_member_nr /= 0 )  THEN
-       WRITE ( io, 512 )  run_date, run_identifier, run_time, runnr,           &
-                       ADJUSTR( host_chr ), ensemble_member_nr
+       WRITE ( io, 512 )  run_date, run_identifier, run_time, runnr, ADJUSTR( host_chr ),          &
+                          ensemble_member_nr
     ELSE
-       WRITE ( io, 102 )  run_date, run_identifier, run_time, runnr,           &
-                       ADJUSTR( host_chr )
+       WRITE ( io, 102 )  run_date, run_identifier, run_time, runnr, ADJUSTR( host_chr )
     ENDIF
 #if defined( __parallel )
@@ -310,6 +311,6 @@
        WRITE ( io, 103 )  numprocs, pdims(1), pdims(2), TRIM( char1 )
     ELSE
-       WRITE ( io, 104 )  numprocs*threads_per_task, numprocs, &
-                          threads_per_task, pdims(1), pdims(2), TRIM( char1 )
+       WRITE ( io, 104 )  numprocs*threads_per_task, numprocs, threads_per_task, pdims(1),         &
+                          pdims(2), TRIM( char1 )
     ENDIF
 
@@ -329,13 +330,12 @@
     IF ( nested_run )  THEN
 
-       WRITE ( io, 600 )  TRIM( nesting_mode ),                                &
-                          TRIM( nesting_datatransfer_mode )
+       WRITE ( io, 600 )  TRIM( nesting_mode ), TRIM( nesting_datatransfer_mode )
        CALL pmc_get_model_info( ncpl = ncpl, cpl_id = my_cpl_id )
 
        DO  n = 1, ncpl
-          CALL pmc_get_model_info( request_for_cpl_id = n, cpl_name = cpl_name,&
-                                   cpl_parent_id = cpl_parent_id,              &
-                                   lower_left_x = lower_left_coord_x,          &
-                                   lower_left_y = lower_left_coord_y,          &
+          CALL pmc_get_model_info( request_for_cpl_id = n, cpl_name = cpl_name,                    &
+                                   cpl_parent_id = cpl_parent_id,                                  &
+                                   lower_left_x = lower_left_coord_x,                              &
+                                   lower_left_y = lower_left_coord_y,                              &
                                    npe_total = npe_total )
           IF ( n == my_cpl_id )  THEN
@@ -344,7 +344,6 @@
              char1 = ' '
           ENDIF
-          WRITE ( io, 601 )  TRIM( char1 ), n, cpl_parent_id, npe_total,       &
-                             lower_left_coord_x, lower_left_coord_y,           &
-                             TRIM( cpl_name )
+          WRITE ( io, 601 )  TRIM( char1 ), n, cpl_parent_id, npe_total, lower_left_coord_x,       &
+                             lower_left_coord_y, TRIM( cpl_name )
        ENDDO
 
@@ -376,18 +375,16 @@
        ENDIF
        IF ( mg_switch_to_pe0_level == 0 )  THEN
-          WRITE ( io, 136 )  nxr_mg(1)-nxl_mg(1)+1, nyn_mg(1)-nys_mg(1)+1, &
+          WRITE ( io, 136 )  nxr_mg(1)-nxl_mg(1)+1, nyn_mg(1)-nys_mg(1)+1, nzt_mg(1)
+       ELSEIF (  mg_switch_to_pe0_level /= -1 )  THEN
+          WRITE ( io, 137 )  mg_switch_to_pe0_level,                                               &
+                             mg_loc_ind(2,0)-mg_loc_ind(1,0)+1,                                    &
+                             mg_loc_ind(4,0)-mg_loc_ind(3,0)+1,                                    &
+                             nzt_mg(mg_switch_to_pe0_level),                                       &
+                             nxr_mg(1)-nxl_mg(1)+1, nyn_mg(1)-nys_mg(1)+1,                         &
                              nzt_mg(1)
-       ELSEIF (  mg_switch_to_pe0_level /= -1 )  THEN
-          WRITE ( io, 137 )  mg_switch_to_pe0_level,            &
-                             mg_loc_ind(2,0)-mg_loc_ind(1,0)+1, &
-                             mg_loc_ind(4,0)-mg_loc_ind(3,0)+1, &
-                             nzt_mg(mg_switch_to_pe0_level),    &
-                             nxr_mg(1)-nxl_mg(1)+1, nyn_mg(1)-nys_mg(1)+1, &
-                             nzt_mg(1)
-       ENDIF
-       IF ( psolver == 'multigrid_noopt' .AND. masking_method )  WRITE ( io, 144 )
-    ENDIF
-    IF ( call_psolver_at_all_substeps  .AND. timestep_scheme(1:5) == 'runge' ) &
-    THEN
+       ENDIF
+       IF ( psolver == 'multigrid_noopt'  .AND.  masking_method )  WRITE ( io, 144 )
+    ENDIF
+    IF ( call_psolver_at_all_substeps  .AND.  timestep_scheme(1:5) == 'runge' )  THEN
        WRITE ( io, 142 )
     ENDIF
@@ -419,6 +416,5 @@
           char2 = 'at the end of the run'
        ENDIF
-       WRITE ( io, 119 )  TRIM( char1 ), TRIM( char2 ),                        &
-                          advected_distance_x/1000.0_wp,                       &
+       WRITE ( io, 119 )  TRIM( char1 ), TRIM( char2 ), advected_distance_x/1000.0_wp,             &
                           advected_distance_y/1000.0_wp
     ENDIF
@@ -427,9 +423,7 @@
     IF ( rayleigh_damping_factor /= 0.0_wp )  THEN
        IF ( .NOT. ocean_mode )  THEN
-          WRITE ( io, 123 )  'above', rayleigh_damping_height, &
-               rayleigh_damping_factor
-       ELSE
-          WRITE ( io, 123 )  'below', rayleigh_damping_height, &
-               rayleigh_damping_factor
+          WRITE ( io, 123 )  'above', rayleigh_damping_height, rayleigh_damping_factor
+       ELSE
+          WRITE ( io, 123 )  'below', rayleigh_damping_height, rayleigh_damping_factor
        ENDIF
     ENDIF
@@ -467,6 +461,5 @@
     WRITE ( io, 203 )  simulated_time_at_begin, end_time
 
-    IF ( time_restart /= 9999999.9_wp  .AND. &
-         simulated_time_at_begin == simulated_time )  THEN
+    IF ( time_restart /= 9999999.9_wp  .AND.  simulated_time_at_begin == simulated_time )  THEN
        IF ( dt_restart == 9999999.9_wp )  THEN
           WRITE ( io, 204 )  ' Restart at:       ',time_restart
@@ -481,11 +474,9 @@
           cpuseconds_per_simulated_second = 0.0_wp
        ELSE
-          cpuseconds_per_simulated_second = log_point_s(10)%sum / &
-                                            ( simulated_time -    &
-                                              simulated_time_at_begin )
-       ENDIF
-       WRITE ( io, 206 )  simulated_time, log_point_s(10)%sum,      &
-                          log_point_s(10)%sum / REAL( i, KIND=wp ), &
-                          cpuseconds_per_simulated_second
+          cpuseconds_per_simulated_second = log_point_s(10)%sum /                                  &
+                                            ( simulated_time - simulated_time_at_begin )
+       ENDIF
+       WRITE ( io, 206 )  simulated_time, log_point_s(10)%sum,                                     &
+                          log_point_s(10)%sum / REAL( i, KIND=wp ), cpuseconds_per_simulated_second
        IF ( time_restart /= 9999999.9_wp  .AND.  time_restart < end_time )  THEN
           IF ( dt_restart == 9999999.9_wp )  THEN
@@ -499,7 +490,7 @@
 
 !
-!-- Start time for coupled runs, if independent precursor runs for atmosphere
-!-- and ocean are used or have been used. In this case, coupling_start_time
-!-- defines the time when the coupling is switched on.
+!-- Start time for coupled runs, if independent precursor runs for atmosphere and ocean are used or
+!-- have been used. In this case, coupling_start_time defines the time when the coupling is
+!-- switched on.
     IF ( coupling_start_time /= 0.0_wp )  THEN
        WRITE ( io, 207 )  coupling_start_time
@@ -571,10 +562,9 @@
        ENDIF
     ENDIF
-    WRITE ( io, 254 )  nx, ny, nzt+1, MIN( nnx, nx+1 ), MIN( nny, ny+1 ),      &
-                       MIN( nnz+2, nzt+2 )
+    WRITE ( io, 254 )  nx, ny, nzt+1, MIN( nnx, nx+1 ), MIN( nny, ny+1 ), MIN( nnz+2, nzt+2 )
     IF ( sloping_surface )  WRITE ( io, 260 )  alpha_surface
 
 !
-!-- Profile for the large scale vertial velocity
+!-- Profile for the large scale vertial velocity.
 !-- Building output strings, starting with surface value
     IF ( large_scale_subsidence )  THEN
@@ -609,12 +599,12 @@
 
        IF ( .NOT. large_scale_forcing )  THEN
-          WRITE ( io, 426 )  TRIM( coordinates ), TRIM( temperatures ), &
-                             TRIM( gradients ), TRIM( slices )
-       ENDIF
-
-
-    ENDIF
-
-!-- Profile of the geostrophic wind (component ug)
+          WRITE ( io, 426 )  TRIM( coordinates ), TRIM( temperatures ), TRIM( gradients ),         &
+                             TRIM( slices )
+       ENDIF
+
+
+    ENDIF
+
+!-- Profile of the geostrophic wind (component ug).
 !-- Building output strings
     WRITE ( ugcomponent, '(F6.2)' )  ug_surface
@@ -646,9 +636,9 @@
 
     IF ( .NOT. large_scale_forcing )  THEN
-       WRITE ( io, 423 )  TRIM( coordinates ), TRIM( ugcomponent ), &
-                          TRIM( gradients ), TRIM( slices )
-    ENDIF
-
-!-- Profile of the geostrophic wind (component vg)
+       WRITE ( io, 423 )  TRIM( coordinates ), TRIM( ugcomponent ), TRIM( gradients ),             &
+                          TRIM( slices )
+    ENDIF
+
+!-- Profile of the geostrophic wind (component vg).
 !-- Building output strings
     WRITE ( vgcomponent, '(F6.2)' )  vg_surface
@@ -680,6 +670,6 @@
 
     IF ( .NOT. large_scale_forcing )  THEN
-       WRITE ( io, 424 )  TRIM( coordinates ), TRIM( vgcomponent ), &
-                          TRIM( gradients ), TRIM( slices )
+       WRITE ( io, 424 )  TRIM( coordinates ), TRIM( vgcomponent ), TRIM( gradients ),             &
+                          TRIM( slices )
     ENDIF
 
@@ -711,6 +701,6 @@
           byn = bys + bly
 
-          WRITE ( io, 271 )  building_length_x, building_length_y, &
-                             building_height, bxl, bxr, bys, byn
+          WRITE ( io, 271 )  building_length_x, building_length_y, building_height, bxl, bxr, bys, &
+                             byn
 
        CASE ( 'single_street_canyon' )
@@ -745,11 +735,9 @@
 !
 !--          Tunnel axis in y direction
-             IF ( tunnel_length == 9999999.9_wp  .OR.                          &
-                  tunnel_length >= ( nx + 1 ) * dx )  THEN
-                WRITE ( io, 273 )  'y', tunnel_height, tunnel_wall_depth,      &
-                                        tunnel_width_x
+             IF ( tunnel_length == 9999999.9_wp  .OR.  tunnel_length >= ( nx + 1 ) * dx )  THEN
+                WRITE ( io, 273 )  'y', tunnel_height, tunnel_wall_depth, tunnel_width_x
              ELSE
-                WRITE ( io, 274 )  'y', tunnel_height, tunnel_wall_depth,      &
-                                        tunnel_width_x, tunnel_length
+                WRITE ( io, 274 )  'y', tunnel_height, tunnel_wall_depth, tunnel_width_x,          &
+                                        tunnel_length
              ENDIF
 
@@ -757,11 +745,9 @@
 !
 !--          Tunnel axis in x direction
-             IF ( tunnel_length == 9999999.9_wp  .OR.                          &
-                  tunnel_length >= ( ny + 1 ) * dy )  THEN
-                WRITE ( io, 273 )  'x', tunnel_height, tunnel_wall_depth,      &
-                                        tunnel_width_y
+             IF ( tunnel_length == 9999999.9_wp  .OR.  tunnel_length >= ( ny + 1 ) * dy )  THEN
+                WRITE ( io, 273 )  'x', tunnel_height, tunnel_wall_depth, tunnel_width_y
              ELSE
-                WRITE ( io, 274 )  'x', tunnel_height, tunnel_wall_depth,      &
-                                        tunnel_width_y, tunnel_length
+                WRITE ( io, 274 )  'x', tunnel_height, tunnel_wall_depth, tunnel_width_y,          &
+                                        tunnel_length
              ENDIF
           ENDIF
@@ -771,5 +757,5 @@
     IF ( TRIM( topography ) /= 'flat' )  THEN
        IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
-          IF ( TRIM( topography ) == 'single_building' .OR.  &
+          IF ( TRIM( topography ) == 'single_building' .OR.                                        &
                TRIM( topography ) == 'single_street_canyon' )  THEN
              WRITE ( io, 278 )
@@ -931,14 +917,11 @@
           WRITE ( io, 316 )
        ENDIF
-       IF ( ocean_mode  .AND.  constant_top_salinityflux )                          &
-          WRITE ( io, 309 )  top_salinityflux
+       IF ( ocean_mode  .AND.  constant_top_salinityflux )  WRITE ( io, 309 )  top_salinityflux
        IF ( humidity       )  WRITE ( io, 315 )
-       IF ( passive_scalar .AND.  constant_top_scalarflux )                    &
-          WRITE ( io, 302 ) top_scalarflux
+       IF ( passive_scalar  .AND.  constant_top_scalarflux )  WRITE ( io, 302 ) top_scalarflux
     ENDIF
 
     IF ( constant_flux_layer )  THEN
-       WRITE ( io, 305 )  (zu(1)-zu(0)), roughness_length,                     &
-                          z0h_factor*roughness_length, kappa,                  &
+       WRITE ( io, 305 )  (zu(1)-zu(0)), roughness_length, z0h_factor*roughness_length, kappa,     &
                           zeta_min, zeta_max
        IF ( .NOT. constant_heatflux )  WRITE ( io, 308 )
@@ -950,5 +933,5 @@
        ENDIF
     ELSE
-       IF ( INDEX(initializing_actions, 'set_1d-model_profiles') /= 0 )  THEN
+       IF ( INDEX( initializing_actions, 'set_1d-model_profiles') /= 0 )  THEN
           WRITE ( io, 310 )  zeta_min, zeta_max
        ENDIF
@@ -959,14 +942,14 @@
        WRITE ( io, 318 )  use_cmax, pt_damping_width, pt_damping_factor
        IF ( turbulent_inflow )  THEN
-          IF ( y_shift == 0 ) THEN
-             WRITE ( io, 319 )  recycling_width, recycling_plane, &
+          IF ( y_shift == 0 )  THEN
+             WRITE ( io, 319 )  recycling_width, recycling_plane,                                  &
                                 inflow_damping_height, inflow_damping_width
           ELSE
-             WRITE ( io, 322 )  y_shift, recycling_width, recycling_plane, &
+             WRITE ( io, 322 )  y_shift, recycling_width, recycling_plane,                         &
                                 inflow_damping_height, inflow_damping_width
           END IF
        ENDIF
        IF ( turbulent_outflow )  THEN
-          WRITE ( io, 323 )  outflow_source_plane, INT(outflow_source_plane/dx)
+          WRITE ( io, 323 )  outflow_source_plane, INT( outflow_source_plane / dx )
        ENDIF
     ENDIF
@@ -989,14 +972,14 @@
     DO  WHILE ( pt_vertical_gradient_level_ind(i) /= -9999 )
 
-       WRITE (coor_chr,'(F7.2)')  pt_init(pt_vertical_gradient_level_ind(i))
+       WRITE ( coor_chr, '(F7.2)' )  pt_init(pt_vertical_gradient_level_ind(i))
        temperatures = TRIM( temperatures ) // ' ' // TRIM( coor_chr )
 
-       WRITE (coor_chr,'(F7.2)')  pt_vertical_gradient(i)
+       WRITE ( coor_chr, '(F7.2)' )  pt_vertical_gradient(i)
        gradients = TRIM( gradients ) // ' ' // TRIM( coor_chr )
 
-       WRITE (coor_chr,'(I7)')  pt_vertical_gradient_level_ind(i)
+       WRITE ( coor_chr, '(I7)' )  pt_vertical_gradient_level_ind(i)
        slices = TRIM( slices ) // ' ' // TRIM( coor_chr )
 
-       WRITE (coor_chr,'(F7.1)')  pt_vertical_gradient_level(i)
+       WRITE ( coor_chr, '(F7.1)' )  pt_vertical_gradient_level(i)
        coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
 
@@ -1010,6 +993,6 @@
 
     IF ( .NOT. nudging )  THEN
-       WRITE ( io, 420 )  TRIM( coordinates ), TRIM( temperatures ), &
-                          TRIM( gradients ), TRIM( slices )
+       WRITE ( io, 420 )  TRIM( coordinates ), TRIM( temperatures ), TRIM( gradients ),            &
+                          TRIM( slices )
     ELSE
        WRITE ( io, 428 )
@@ -1027,14 +1010,14 @@
        DO  WHILE ( q_vertical_gradient_level_ind(i) /= -9999 )
 
-          WRITE (coor_chr,'(E8.1,4X)')  q_init(q_vertical_gradient_level_ind(i))
+          WRITE ( coor_chr, '(E8.1,4X)' )  q_init(q_vertical_gradient_level_ind(i))
           temperatures = TRIM( temperatures ) // '  ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(E8.1,4X)')  q_vertical_gradient(i)
+          WRITE ( coor_chr, '(E8.1,4X)' )  q_vertical_gradient(i)
           gradients = TRIM( gradients ) // '  ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(I8,4X)')  q_vertical_gradient_level_ind(i)
+          WRITE ( coor_chr, '(I8,4X)' )  q_vertical_gradient_level_ind(i)
           slices = TRIM( slices ) // '  ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(F8.1,4X)')  q_vertical_gradient_level(i)
+          WRITE ( coor_chr, '(F8.1,4X)' )  q_vertical_gradient_level(i)
           coordinates = TRIM( coordinates ) // '  '  // TRIM( coor_chr )
 
@@ -1048,6 +1031,6 @@
 
        IF ( .NOT. nudging )  THEN
-          WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ),        &
-                             TRIM( gradients ), TRIM( slices )
+          WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ), TRIM( gradients ),         &
+                             TRIM( slices )
        ENDIF
     ENDIF
@@ -1063,14 +1046,14 @@
        DO  WHILE ( s_vertical_gradient_level_ind(i) /= -9999 )
 
-          WRITE (coor_chr,'(E8.1,4X)')  s_init(s_vertical_gradient_level_ind(i))
+          WRITE ( coor_chr, '(E8.1,4X)' )  s_init(s_vertical_gradient_level_ind(i))
           temperatures = TRIM( temperatures ) // '  ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(E8.1,4X)')  s_vertical_gradient(i)
+          WRITE ( coor_chr, '(E8.1,4X)' )  s_vertical_gradient(i)
           gradients = TRIM( gradients ) // '  ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(I8,4X)')  s_vertical_gradient_level_ind(i)
+          WRITE ( coor_chr, '(I8,4X)' )  s_vertical_gradient_level_ind(i)
           slices = TRIM( slices ) // '  ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(F8.1,4X)')  s_vertical_gradient_level(i)
+          WRITE ( coor_chr, '(F8.1,4X)' )  s_vertical_gradient_level(i)
           coordinates = TRIM( coordinates ) // '  '  // TRIM( coor_chr )
 
@@ -1083,6 +1066,6 @@
        ENDDO
 
-       WRITE ( io, 422 )  TRIM( coordinates ), TRIM( temperatures ),           &
-                          TRIM( gradients ), TRIM( slices )
+       WRITE ( io, 422 )  TRIM( coordinates ), TRIM( temperatures ), TRIM( gradients ),            &
+                          TRIM( slices )
     ENDIF
 
@@ -1098,14 +1081,14 @@
        DO  WHILE ( sa_vertical_gradient_level_ind(i) /= -9999 )
 
-          WRITE (coor_chr,'(F7.2)')  sa_init(sa_vertical_gradient_level_ind(i))
+          WRITE ( coor_chr, '(F7.2)' )  sa_init(sa_vertical_gradient_level_ind(i))
           temperatures = TRIM( temperatures ) // ' ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(F7.2)')  sa_vertical_gradient(i)
+          WRITE ( coor_chr, '(F7.2)' )  sa_vertical_gradient(i)
           gradients = TRIM( gradients ) // ' ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(I7)')  sa_vertical_gradient_level_ind(i)
+          WRITE ( coor_chr, '(I7)' )  sa_vertical_gradient_level_ind(i)
           slices = TRIM( slices ) // ' ' // TRIM( coor_chr )
 
-          WRITE (coor_chr,'(F7.1)')  sa_vertical_gradient_level(i)
+          WRITE ( coor_chr, '(F7.1)' )  sa_vertical_gradient_level(i)
           coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
 
@@ -1118,6 +1101,6 @@
        ENDDO
 
-       WRITE ( io, 425 )  TRIM( coordinates ), TRIM( temperatures ), &
-                          TRIM( gradients ), TRIM( slices )
+       WRITE ( io, 425 )  TRIM( coordinates ), TRIM( temperatures ), TRIM( gradients ),            &
+                          TRIM( slices )
     ENDIF
 
@@ -1195,6 +1178,6 @@
        ENDDO
 
-       IF ( ( ( do2d_xy /= ''  .AND.  section(1,1) /= -9999 )  .OR.    &
-              ( do2d_xz /= ''  .AND.  section(1,2) /= -9999 )  .OR.    &
+       IF ( ( ( do2d_xy /= ''  .AND.  section(1,1) /= -9999 )  .OR.                                &
+              ( do2d_xz /= ''  .AND.  section(1,2) /= -9999 )  .OR.                                &
               ( do2d_yz /= ''  .AND.  section(1,3) /= -9999 ) ) )  THEN
 
@@ -1224,6 +1207,5 @@
              coordinates = '/'
 !
-!--          Building strings with index and coordinate information of the
-!--          slices
+!--          Building strings with index and coordinate information of the slices
              DO  WHILE ( section(i,1) /= -9999 )
 
@@ -1233,7 +1215,7 @@
 
                 IF ( section(i,1) == -1 )  THEN
-                   WRITE (coor_chr,'(F10.1)')  -1.0_wp
+                   WRITE ( coor_chr, '(F10.1)' )  -1.0_wp
                 ELSE
-                   WRITE (coor_chr,'(F10.1)')  zu(section(i,1))
+                   WRITE ( coor_chr, '(F10.1)' )  zu(section(i,1))
                 ENDIF
                 coor_chr = ADJUSTL( coor_chr )
@@ -1243,14 +1225,12 @@
              ENDDO
              IF ( av == 0 )  THEN
-                WRITE ( io, 335 )  'XY', do2d_xy, dt_do2d_xy, &
-                                   TRIM( begin_chr ), 'k', TRIM( slices ), &
-                                   TRIM( coordinates )
+                WRITE ( io, 335 )  'XY', do2d_xy, dt_do2d_xy, TRIM( begin_chr ), 'k',              &
+                                   TRIM( slices ), TRIM( coordinates )
                 IF ( skip_time_do2d_xy /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_do2d_xy
                 ENDIF
              ELSE
-                WRITE ( io, 342 )  'XY', do2d_xy, dt_data_output_av, &
-                                   TRIM( begin_chr ), averaging_interval, &
-                                   dt_averaging_input, 'k', TRIM( slices ), &
+                WRITE ( io, 342 )  'XY', do2d_xy, dt_data_output_av, TRIM( begin_chr ),            &
+                                   averaging_interval, dt_averaging_input, 'k', TRIM( slices ),    &
                                    TRIM( coordinates )
                 IF ( skip_time_data_output_av /= 0.0_wp )  THEN
